diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 3c0032ff50ea02d8c4b1756cf019f0ee3fab1690..e33d43f524283465618cdffc7fbc41a2753dcf1c 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -910,7 +910,7 @@ class Instance:
         rv = []
         try:
             for subsystem in config.PKI_TOMCAT_SUBSYSTEMS:
-                path = self.master_dict['pki_instance_path'] + "/" + subsystem.lower()
+                path = self.mdict['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv.append(subsystem)
         except OSError as exc:
@@ -928,16 +928,16 @@ class Instance:
             # simply count the number of PKI 'tomcat' instances (directories)
             # present within the PKI 'tomcat' registry directory
             for instance in\
-                os.listdir(self.master_dict['pki_instance_type_registry_path']):
+                os.listdir(self.mdict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
+                       os.path.join(self.mdict['pki_instance_type_registry_path'],
                        instance)) and not\
                    os.path.islink(
-                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
+                       os.path.join(self.mdict['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
-                                 self.master_dict['pki_instance_type_registry_path'],
+                                 self.mdict['pki_instance_type_registry_path'],
                                  rv,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
@@ -948,13 +948,13 @@ class Instance:
 
     def verify_subsystem_exists(self):
         try:
-            if not os.path.exists(self.master_dict['pki_subsystem_path']):
+            if not os.path.exists(self.mdict['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2,
-                                     self.master_dict['pki_subsystem'],
-                                     self.master_dict['pki_instance_name'],
+                                     self.mdict['pki_subsystem'],
+                                     self.mdict['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.master_dict['pki_subsystem'],
-                                                                      self.master_dict['pki_instance_name']))
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.mdict['pki_subsystem'],
+                                                                      self.mdict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -962,13 +962,13 @@ class Instance:
 
     def verify_subsystem_does_not_exist(self):
         try:
-            if os.path.exists(self.master_dict['pki_subsystem_path']):
+            if os.path.exists(self.mdict['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_ALREADY_EXISTS_2,
-                                     self.master_dict['pki_subsystem'],
-                                     self.master_dict['pki_instance_name'],
+                                     self.mdict['pki_subsystem'],
+                                     self.mdict['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.master_dict['pki_subsystem'],
-                                                                      self.master_dict['pki_instance_name']))
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.mdict['pki_subsystem'],
+                                                                      self.mdict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -977,9 +977,9 @@ class Instance:
     def get_instance_status(self):
         connection = pki.client.PKIConnection(
             protocol='https',
-            hostname=self.master_dict['pki_hostname'],
-            port=self.master_dict['pki_https_port'],
-            subsystem=self.master_dict['pki_subsystem_type'],
+            hostname=self.mdict['pki_hostname'],
+            port=self.mdict['pki_https_port'],
+            subsystem=self.mdict['pki_subsystem_type'],
             accept='application/xml')
 
         # catching all exceptions because we do not want to break if underlying
@@ -1018,7 +1018,7 @@ class Directory:
     """PKI Deployment Directory Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.identity = deployer.identity
         self.manifest_db = deployer.manifest_db
 
@@ -1048,8 +1048,8 @@ class Directory:
                 record = manifest.Record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_DIRECTORY
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1106,8 +1106,8 @@ class Directory:
                     record = manifest.Record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_DIRECTORY
-                    record.user = self.master_dict['pki_user']
-                    record.group = self.master_dict['pki_group']
+                    record.user = self.mdict['pki_user']
+                    record.group = self.mdict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = perms
@@ -1221,8 +1221,8 @@ class Directory:
                                 record = manifest.Record()
                                 record.name = name
                                 record.type = manifest.RECORD_TYPE_FILE
-                                record.user = self.master_dict['pki_user']
-                                record.group = self.master_dict['pki_group']
+                                record.user = self.mdict['pki_user']
+                                record.group = self.mdict['pki_group']
                                 record.uid = uid
                                 record.gid = gid
                                 record.permissions = file_perms
@@ -1247,8 +1247,8 @@ class Directory:
                                 record = manifest.Record()
                                 record.name = name
                                 record.type = manifest.RECORD_TYPE_SYMLINK
-                                record.user = self.master_dict['pki_user']
-                                record.group = self.master_dict['pki_group']
+                                record.user = self.mdict['pki_user']
+                                record.group = self.mdict['pki_group']
                                 record.uid = uid
                                 record.gid = gid
                                 record.permissions = symlink_perms
@@ -1273,8 +1273,8 @@ class Directory:
                             record = manifest.Record()
                             record.name = name
                             record.type = manifest.RECORD_TYPE_DIRECTORY
-                            record.user = self.master_dict['pki_user']
-                            record.group = self.master_dict['pki_group']
+                            record.user = self.mdict['pki_user']
+                            record.group = self.mdict['pki_group']
                             record.uid = uid
                             record.gid = gid
                             record.permissions = dir_perms
@@ -1299,8 +1299,8 @@ class Directory:
                     record = manifest.Record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_DIRECTORY
-                    record.user = self.master_dict['pki_user']
-                    record.group = self.master_dict['pki_group']
+                    record.user = self.mdict['pki_user']
+                    record.group = self.mdict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = dir_perms
@@ -1376,7 +1376,7 @@ class File:
     """PKI Deployment File Class (also used for executables)"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.slots = deployer.slots
         self.identity = deployer.identity
         self.manifest_db = deployer.manifest_db
@@ -1407,8 +1407,8 @@ class File:
                 record = manifest.Record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1465,8 +1465,8 @@ class File:
                     record = manifest.Record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_FILE
-                    record.user = self.master_dict['pki_user']
-                    record.group = self.master_dict['pki_group']
+                    record.user = self.mdict['pki_user']
+                    record.group = self.mdict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = perms
@@ -1554,8 +1554,8 @@ class File:
                 record = manifest.Record()
                 record.name = new_name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1592,9 +1592,9 @@ class File:
                     if slot != '__name__' and self.slots[slot] in line:
                         config.pki_log.debug(
                             log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                            self.slots[slot], self.master_dict[slot],
+                            self.slots[slot], self.mdict[slot],
                             extra=config.PKI_INDENTATION_LEVEL_3)
-                        line = line.replace(self.slots[slot], self.master_dict[slot])
+                        line = line.replace(self.slots[slot], self.mdict[slot])
                 sys.stdout.write(line)
             if uid == None:
                 uid = self.identity.get_uid()
@@ -1614,8 +1614,8 @@ class File:
             record = manifest.Record()
             record.name = name
             record.type = manifest.RECORD_TYPE_FILE
-            record.user = self.master_dict['pki_user']
-            record.group = self.master_dict['pki_group']
+            record.user = self.mdict['pki_user']
+            record.group = self.mdict['pki_group']
             record.uid = uid
             record.gid = gid
             record.permissions = perms
@@ -1661,9 +1661,9 @@ class File:
                             if slot != '__name__' and self.slots[slot] in line:
                                 config.pki_log.debug(
                                     log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                                    self.slots[slot], self.master_dict[slot],
+                                    self.slots[slot], self.mdict[slot],
                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                                line = line.replace(self.slots[slot], self.master_dict[slot])
+                                line = line.replace(self.slots[slot], self.mdict[slot])
                         FILE.write(line)
                 if uid == None:
                     uid = self.identity.get_uid()
@@ -1683,8 +1683,8 @@ class File:
                 record = manifest.Record()
                 record.name = new_name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1733,8 +1733,8 @@ class File:
                 record = manifest.Record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1760,7 +1760,7 @@ class Symlink:
     """PKI Deployment Symbolic Link Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.identity = deployer.identity
         self.manifest_db = deployer.manifest_db
 
@@ -1794,8 +1794,8 @@ class Symlink:
                 record = manifest.Record()
                 record.name = link
                 record.type = manifest.RECORD_TYPE_SYMLINK
-                record.user = self.master_dict['pki_user']
-                record.group = self.master_dict['pki_group']
+                record.user = self.mdict['pki_user']
+                record.group = self.mdict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = \
@@ -1850,8 +1850,8 @@ class Symlink:
                     record = manifest.Record()
                     record.name = link
                     record.type = manifest.RECORD_TYPE_SYMLINK
-                    record.user = self.master_dict['pki_user']
-                    record.group = self.master_dict['pki_group']
+                    record.user = self.mdict['pki_user']
+                    record.group = self.mdict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = \
@@ -1905,7 +1905,7 @@ class War:
     """PKI Deployment War File Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def explode(self, name, path, critical_failure=True):
         try:
@@ -1956,7 +1956,7 @@ class Password:
     """PKI Deployment Password Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def create_password_conf(self, path, pin, pin_sans_token=False,
                              overwrite_flag=False, critical_failure=True):
@@ -1970,12 +1970,12 @@ class Password:
                     with open(path, "w") as fd:
                         if pin_sans_token == True:
                             fd.write(str(pin))
-                        elif self.master_dict['pki_subsystem'] in\
+                        elif self.mdict['pki_subsystem'] in\
                            config.PKI_APACHE_SUBSYSTEMS:
-                            fd.write(self.master_dict['pki_self_signed_token'] + \
+                            fd.write(self.mdict['pki_self_signed_token'] + \
                                      ":" + str(pin))
                         else:
-                            fd.write(self.master_dict['pki_self_signed_token'] + \
+                            fd.write(self.mdict['pki_self_signed_token'] + \
                                      "=" + str(pin))
             else:
                 config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
@@ -1984,12 +1984,12 @@ class Password:
                 with open(path, "w") as fd:
                     if pin_sans_token == True:
                         fd.write(str(pin))
-                    elif self.master_dict['pki_subsystem'] in\
+                    elif self.mdict['pki_subsystem'] in\
                        config.PKI_APACHE_SUBSYSTEMS:
-                        fd.write(self.master_dict['pki_self_signed_token'] + \
+                        fd.write(self.mdict['pki_self_signed_token'] + \
                                  ":" + str(pin))
                     else:
-                        fd.write(self.master_dict['pki_self_signed_token'] + \
+                        fd.write(self.mdict['pki_self_signed_token'] + \
                                  "=" + str(pin))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
@@ -2008,13 +2008,13 @@ class Password:
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     # overwrite the existing 'pkcs12_password.conf' file
                     with open(path, "w") as fd:
-                        fd.write(self.master_dict['pki_client_pkcs12_password'])
+                        fd.write(self.mdict['pki_client_pkcs12_password'])
             else:
                 config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
                 # create a new 'pkcs12_password.conf' file
                 with open(path, "w") as fd:
-                    fd.write(self.master_dict['pki_client_pkcs12_password'])
+                    fd.write(self.mdict['pki_client_pkcs12_password'])
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2048,7 +2048,7 @@ class Certutil:
     """PKI Deployment NSS 'certutil' Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def create_security_databases(self, path, pki_cert_database,
                                   pki_key_database, pki_secmod_database,
@@ -2474,7 +2474,7 @@ class PK12util:
     """PKI Deployment pk12util class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def create_file(self, out_file, nickname, out_pwfile,
                     db_pwfile, path=None, critical_failure=True):
@@ -2531,13 +2531,13 @@ class KRAConnector:
     """PKI Deployment KRA Connector Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.password = deployer.password
 
     def deregister(self, critical_failure=False):
         try:
             # this is applicable to KRAs only
-            if self.master_dict['pki_subsystem_type'] != "kra":
+            if self.mdict['pki_subsystem_type'] != "kra":
                 return
 
             config.pki_log.info(
@@ -2545,7 +2545,7 @@ class KRAConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
 
             cs_cfg = PKIConfigParser.read_simple_configuration_file(
-                         self.master_dict['pki_target_cs_cfg'])
+                         self.mdict['pki_target_cs_cfg'])
             krahost = cs_cfg.get('service.machineName')
             kraport = cs_cfg.get('pkicreate.secure_port')
             cahost = cs_cfg.get('cloning.ca.hostname')
@@ -2584,7 +2584,7 @@ class KRAConnector:
                 token_name = "internal"
 
             token_pwd = self.password.get_password(
-                            self.master_dict['pki_shared_password_conf'],
+                            self.mdict['pki_shared_password_conf'],
                             token_name,
                             critical_failure)
 
@@ -2623,7 +2623,7 @@ class KRAConnector:
                    "-h", cahost,
                    "-n", subsystemnick,
                    "-P", "https",
-                   "-d", self.master_dict['pki_database_path'],
+                   "-d", self.mdict['pki_database_path'],
                    "-c", token_pwd,
                    "ca-kraconnector-del", krahost, str(kraport)]
 
@@ -2653,7 +2653,7 @@ class KRAConnector:
         command = ["/usr/bin/sslget",
                    "-n", subsystemnick,
                    "-p", token_pwd,
-                   "-d", self.master_dict['pki_database_path'],
+                   "-d", self.mdict['pki_database_path'],
                    "-e", params,
                    "-v",
                    "-r", updateURL, cahost + ":" + str(caport)]
@@ -2668,13 +2668,13 @@ class TPSConnector:
     """PKI Deployment TPS Connector Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.password = deployer.password
 
     def deregister(self, critical_failure=False):
         try:
             # this is applicable to TPSs only
-            if self.master_dict['pki_subsystem_type'] != "tps":
+            if self.mdict['pki_subsystem_type'] != "tps":
                 return
 
             config.pki_log.info(
@@ -2682,7 +2682,7 @@ class TPSConnector:
                 extra=config.PKI_INDENTATION_LEVEL_2)
 
             cs_cfg = PKIConfigParser.read_simple_configuration_file(
-                         self.master_dict['pki_target_cs_cfg'])
+                         self.mdict['pki_target_cs_cfg'])
             tpshost = cs_cfg.get('service.machineName')
             tpsport = cs_cfg.get('pkicreate.secure_port')
             tkshostport = cs_cfg.get('conn.tks1.hostport')
@@ -2727,7 +2727,7 @@ class TPSConnector:
                 token_name = "internal"
 
             token_pwd = self.password.get_password(
-                            self.master_dict['pki_shared_password_conf'],
+                            self.mdict['pki_shared_password_conf'],
                             token_name,
                             critical_failure)
 
@@ -2766,7 +2766,7 @@ class TPSConnector:
                    "-h", tkshost,
                    "-n", subsystemnick,
                    "-P", "https",
-                   "-d", self.master_dict['pki_database_path'],
+                   "-d", self.mdict['pki_database_path'],
                    "-c", token_pwd,
                    "-t", "tks",
                    "tks-tpsconnector-del",
@@ -2793,13 +2793,13 @@ class SecurityDomain:
     """PKI Deployment Security Domain Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         self.password = deployer.password
 
     def deregister(self, install_token, critical_failure=False):
         # process this PKI subsystem instance's 'CS.cfg'
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            self.master_dict['pki_target_cs_cfg'])
+            self.mdict['pki_target_cs_cfg'])
 
         # assign key name/value pairs
         machinename = cs_cfg.get('service.machineName')
@@ -2839,7 +2839,7 @@ class SecurityDomain:
         listval = typeval.lower() + "List"
         updateURL = "/ca/agent/ca/updateDomainXML"
 
-        params = "name=" + "\"" + self.master_dict['pki_instance_path'] + "\"" + \
+        params = "name=" + "\"" + self.mdict['pki_instance_path'] + "\"" + \
                  "&type=" + str(typeval) + \
                  "&list=" + str(listval) + \
                  "&host=" + str(machinename) + \
@@ -2856,7 +2856,7 @@ class SecurityDomain:
                 adminUpdateURL = "/ca/admin/ca/updateDomainXML"
                 command = ["/usr/bin/sslget",
                            "-p", str(123456),
-                           "-d", self.master_dict['pki_database_path'],
+                           "-d", self.mdict['pki_database_path'],
                            "-e", params,
                            "-v",
                            "-r", adminUpdateURL,
@@ -2924,7 +2924,7 @@ class SecurityDomain:
         updateURL, sechost, secagentport, critical_failure=False):
         token_pwd = None
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            self.master_dict['pki_target_cs_cfg'])
+            self.mdict['pki_target_cs_cfg'])
         # retrieve subsystem nickname
         subsystemnick_param = typeval.lower() + ".cert.subsystem.nickname"
         subsystemnick = cs_cfg.get(subsystemnick_param)
@@ -2949,7 +2949,7 @@ class SecurityDomain:
             token_name = "internal"
 
         token_pwd = self.password.get_password(
-                        self.master_dict['pki_shared_password_conf'],
+                        self.mdict['pki_shared_password_conf'],
                         token_name,
                         critical_failure)
 
@@ -2969,7 +2969,7 @@ class SecurityDomain:
         command = ["/usr/bin/sslget",
                    "-n", subsystemnick,
                    "-p", token_pwd,
-                   "-d", self.master_dict['pki_database_path'],
+                   "-d", self.mdict['pki_database_path'],
                    "-e", params,
                    "-v",
                    "-r", updateURL, sechost + ":" + str(secagentport)]
@@ -3003,7 +3003,7 @@ class SecurityDomain:
 
         # process this PKI subsystem instance's 'CS.cfg'
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            self.master_dict['pki_target_cs_cfg'])
+            self.mdict['pki_target_cs_cfg'])
 
         # assign key name/value pairs
         machinename = cs_cfg.get('service.machineName')
@@ -3018,7 +3018,7 @@ class SecurityDomain:
                    "-P", "https",
                    "-u", secuser,
                    "-w", secpass,
-                   "-d", self.master_dict['pki_database_path'],
+                   "-d", self.mdict['pki_database_path'],
                    "securitydomain-get-install-token",
                    "--hostname", machinename,
                    "--subsystem", cstype]
@@ -3073,7 +3073,7 @@ class Systemd(object):
         Examples:
 
         """
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def daemon_reload(self, critical_failure=True):
         """PKI Deployment execution management lifecycle function.
@@ -3144,18 +3144,18 @@ class Systemd(object):
             if reload_daemon == True:
                 self.daemon_reload(critical_failure)
             # Compose this "systemd" execution management command
-            if self.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+            if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
                 service = "pki-apached" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
-            elif self.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 service = "pki-tomcatd" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "start",
-                            self.master_dict['pki_instance_name']]
+                            self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "start", service]
 
@@ -3199,18 +3199,18 @@ class Systemd(object):
         try:
             service = None
             # Compose this "systemd" execution management command
-            if self.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+            if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
                 service = "pki-apached" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
-            elif self.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 service = "pki-tomcatd" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "stop",
-                            self.master_dict['pki_instance_name']]
+                            self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "stop", service]
 
@@ -3258,18 +3258,18 @@ class Systemd(object):
             # Execute the "systemd daemon-reload" management lifecycle command
             if reload_daemon == True:
                 self.daemon_reload(critical_failure)
-            if self.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+            if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
                 service = "pki-apached" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
-            elif self.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 service = "pki-tomcatd" + "@" +\
-                          self.master_dict['pki_instance_name'] + "." +\
+                          self.mdict['pki_instance_name'] + "." +\
                           "service"
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "restart",
-                            self.master_dict['pki_instance_name']]
+                            self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "restart", service]
 
